View Issue Details

IDProjectCategoryView StatusLast Update
0004475SOGoWeb Mailpublic2018-07-10 10:38
Reporterflegma Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version7
Product Version4.0.0 
Fixed in Version4.0.1 
Summary0004475: Text disappears where focus is remove
Description

This applies to manually entered addresses.
If the address is selected from the address book, it works correctly.

Steps To Reproduce
  1. Select forward the e-mail.
  2. Enter the address.
  3. Click the enter button or move the focus to the subject or body of the letter.
  4. Delete the address. Re-enter the address.
  5. Press enter.
    The entered address disappears.
TagsNo tags attached.

Activities

flegma

flegma

2018-06-07 08:52

reporter  

loses addresses.gif (981,178 bytes)
slip111

slip111

2018-06-07 09:03

reporter   ~0012909

Last edited: 2018-06-07 09:06

View 2 revisions

I have the same error, even on http://demo.sogo.nu

francis

francis

2018-06-12 21:02

administrator   ~0012916

The bug is in Angular Material; a fix is coming (https://github.com/angular/material/issues/11218).

slip111

slip111

2018-06-14 05:19

reporter   ~0012918

Fix is already there! I build from sources the latest version of the angular-material.js, replaced the old files in /GNUstep/SOGo/WebServerResources/js/vendor.
That helps to solve the problem!

francis

francis

2018-06-27 15:45

administrator   ~0012925

I'm waiting for the official release of 1.1.10:

https://github.com/angular/material/milestone/62

Issue History

Date Modified Username Field Change
2018-06-07 08:52 flegma New Issue
2018-06-07 08:52 flegma File Added: loses addresses.gif
2018-06-07 09:03 slip111 Note Added: 0012909
2018-06-07 09:06 slip111 Note Edited: 0012909 View Revisions
2018-06-12 21:02 francis Note Added: 0012916
2018-06-14 05:19 slip111 Note Added: 0012918
2018-06-27 15:45 francis Note Added: 0012925
2018-07-10 10:38 francis Status new => resolved
2018-07-10 10:38 francis Fixed in Version => 4.0.1
2018-07-10 10:38 francis Resolution open => fixed
2018-07-10 10:38 francis Assigned To => francis